Application: gvSIG desktop - gvSIG bugs #1953
Hyperlink to html: page visualization is wrong
07/18/2013 09:13 AM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document view

Target version: 2.4.0-2821 (rev. org.gvsig.deskitop-2.0.187)

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1. Load a vector polygon layer.

2. Start editing.

3. Add a new column (type=string length=100).

4. Choose a polygon and fill in the cell of the new column with an URL ("http://www.google.com” e.g.).
5. Stop editing saving changes.

6. Configure a layer hyperlink (right button + Properties > Hyperlink tab) for the new column/field (html-text type).
7. Select the hyperlink tool from the toolbar.

8. Click on the polygon that has the URL.

9. Check as the visualization of the web page is not correct. Colors and text position are different than shown in a web browser.

History

#1 - 11/28/2013 03:56 PM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez
- Target version set to 2.1.0-2223-rc1

#2 - 11/28/2013 04:28 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

We cannot do much about this. The HTML option is intended for simple HTML or TXT files. Modern websites perhaps are not visualized correctly
because the HTML browser has limited capabilities.

#3 - 01/13/2014 09:30 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/27/2014 05:47 PM - Alvaro Anguix

- Tracker changed from gvSIG bugs to gvSIG feature requests
- Status changed from Fixed to New

- Target version deleted (2.1.0-2217-devel)

- gvSIG version changed from 2.0.0 to 2.1.0

Paso esto a feature por si a futuro se puede mejorar.
#5 - 03/10/2014 05:57 PM - Alvaro Anguix
- Tracker changed from gvSIG feature requests to gvSIG bugs

Lo paso a bug ya que no se visualiza correctamente

#6 - 03/10/2014 06:36 PM - Juan Lucas Dominguez

Creo que deberiamos lanzar el navegador externo en lugar de intentar mostrarlo en la aplicacién, o preguntarle al usuario.

#7 - 04/04/2014 10:34 AM - Alvaro Anguix

- Assignee deleted (Juan Lucas Dominguez)

#8 - 06/07/2017 05:52 PM - Alvaro Anguix

- Target version set to 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187)

Para esto se va a utilizar un nuevo navegador

#9 - 06/07/2017 06:08 PM - Joaquin del Cerro Murciano
- Assignee set to Joaquin del Cerro Murciano
- Status changed from New to Fixed

Se ha afiadido la posibilidad de que el usuario pueda elegir al configurar el hyperlink si quiere usar el navegador del sistema o uno interno de gvSIG.

#10 - 06/14/2017 05:09 PM - Alvaro Anguix
- Status changed from Fixed to Closed
